Skip to content

Retrieve the accounts

Request

Retrieve the accounts associated with the client.

Security
bearer-jwt
Headers
API-Versionstring
Value:"1.0.0"
curl -i -X GET \
  https://api-docs.raipartners.com/_mock/apis/client-management-api-v1/accounts \
  -H 'API-Version: 1.0.0' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Successful stream of accounts. IMPORTANT: The accounts are returned in NDJSON format (one account json object per line), not as an array.

Bodyapplication/x-ndjson
accountIdentificationobject(AccountIdentification)required

The account identification.

statusstringrequired

The account status.

Enum:"AuthorizationProhibited""Bankrupt""ChargeOff""Closed""Frozen""InterestAccrualProhibited""Lost""Normal""Revoked""Stolen"
Example:"Normal"
internalStatusstringrequired

The account internal status.

Enum:"CreditBalance""Delinquent""DelinquentAndOverLimit""Normal""OverLimit"
Example:"Delinquent"
currentBalancenumberrequired

The account current balance.

Example:1000
creditLimitnumberrequired

The account credit limit.

Example:10000
annualRatesobject(Rates)required

The account annual rates.

openingDatestring, (date)required

The account opening date.

Example:"2022-01-31"
paymentDueDatestring or null, (date)

The account payment due date.

Example:"2022-02-01"
nextCycleDatestring, (date)required

The account next cycle date.

Example:"2022-03-01"
cycleToDatePaymentPostednumberrequired

The account cycle to date payment amount posted.

Example:1000
lastStatementPaymentAmountnumberrequired

The account last statement payment amount.

Example:1000
primaryCardholderobject(Individual)required

The account primary cardholder.

secondaryCardholderIndividual (object) or null
One of:
Response
{"accountIdentification":{"id":"f2ca1bb6c7e907d06dafe4687e579fce76b37e4e93b7605022da52e6ccc26fd2","number":"1234567890123456"},"status":"Normal","internalStatus":"Delinquent","currentBalance":1000,"creditLimit":10000,"annualRates":{"cash":19.99,"merchandise":12.99},"openingDate":"2022-01-31","paymentDueDate":"2022-02-01","nextCycleDate":"2022-03-01","cycleToDatePaymentPosted":1000,"lastStatementPaymentAmount":1000,"primaryCardholder":{"ssnId":"b2ce1ee6c7e907d06dafe4687e579fce76b37e4e93b7605022da52e6ccc26fd2","ssn":"123456789","name":"Doe, John","dob":"1970-01-01"},"secondaryCardholder":{"ssnId":"b2ce1ee6c7e907d06dafe4687e579fce76b37e4e93b7605022da52e6ccc26fd2","ssn":"123456789","name":"Doe, John","dob":"1970-01-01"}}
{"accountIdentification":{"id":"f2ca1bb6c7e907d06dafe4687e579fce76b37e4e93b7605022da52e6ccc26fd2","number":"1234567890123456"},"status":"Normal","internalStatus":"Delinquent","currentBalance":1000,"creditLimit":10000,"annualRates":{"cash":19.99,"merchandise":12.99},"openin…